import request from '@/utils/request'

// 查询答卷列表
export function listAssessResult(query) {
  return request({
    url: '/train/assessResult/list',
    method: 'get',
    params: query
  })
}

// 查询答卷详细
export function getAssessResult(id) {
  return request({
    url: '/train/assessResult/' + id,
    method: 'get'
  })
}

// 新增答卷
export function addAssessResult(data) {
  return request({
    url: '/train/assessResult',
    method: 'post',
    data: data
  })
}

// 修改答卷
export function updateAssessResult(data) {
  return request({
    url: '/train/assessResult',
    method: 'put',
    data: data
  })
}

// 删除答卷
export function delAssessResult(id) {
  return request({
    url: '/train/assessResult/' + id,
    method: 'delete'
  })
}
